View a markdown version of this page

BatchGetCodeReviewJobTasks - AWS Security Agent

BatchGetCodeReviewJobTasks

Retrieves information about one or more tasks within a code review job.

Request Syntax

POST /BatchGetCodeReviewJobTasks HTTP/1.1 Content-type: application/json { "agentSpaceId": "string", "codeReviewJobTaskIds": [ "string" ] }

URI Request Parameters

The request does not use any URI parameters.

Request Body

The request accepts the following data in JSON format.

agentSpaceId

The unique identifier of the agent space that contains the tasks.

Type: String

Required: Yes

codeReviewJobTaskIds

The list of task identifiers to retrieve.

Type: Array of strings

Required: Yes

Response Syntax

HTTP/1.1 200 Content-type: application/json { "codeReviewJobTasks": [ { "agentSpaceId": "string", "categories": [ { "isPrimary": boolean, "name": "string" } ], "codeReviewId": "string", "codeReviewJobId": "string", "createdAt": "string", "description": "string", "executionStatus": "string", "logsLocation": { "cloudWatchLog": { "logGroup": "string", "logStream": "string" }, "logType": "string" }, "riskType": "string", "taskId": "string", "title": "string", "updatedAt": "string" } ], "notFound": [ "string" ] }

Response Elements

If the action is successful, the service sends back an HTTP 200 response.

The following data is returned in JSON format by the service.

codeReviewJobTasks

The list of code review job tasks that were found.

Type: Array of CodeReviewJobTask objects

notFound

The list of task identifiers that were not found.

Type: Array of strings

Errors

For information about the errors that are common to all actions, see Common Error Types.

See Also

For more information about using this API in one of the language-specific AWS SDKs, see the following: